# Get Security Findings By Library Returns security findings for a given application grouped by library Endpoint: GET /api/v3.0/applications/{applicationUuid}/dependencies/findings/security/groupBy/library Version: 3.0 Security: bearer-key ## Query parameters: - `limit` (string) Specifies the maximum number of items to be returned in the response. - `cursor` (String) Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved. ## Path parameters: - `applicationUuid` (string, required) Application UUID (Administration > Applications) ## Response 200 fields (application/json): - `additionalData` (object) + totalItems: The total count of data points returned in an API response. Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3} - `supportToken` (string) Example: "1171c60d" - `response` (array) - `response.uuid` (string) - `response.name` (string) - `response.component` (object) - `response.component.description` (string) Example: "Component description" - `response.component.componentType` (string) Enum: "Library" - `response.component.type` (string) - `response.component.libraryType` (string) Example: "REDHAT_PACKAGE_MODULE" - `response.component.directDependency` (boolean) - `response.component.dependencyType` (string) Example: "Direct / Transitive" - `response.component.references` (object) - `response.component.references.url` (string) Example: "https://www.gnupg.org/related_software/pinentry/98" - `response.component.references.homePage` (string) Example: "https://www.gnupg.org/related_software/pinentry/89" - `response.component.references.downloadLink` (string) Example: "https://www.gnupg.org/related_software/pinentry/09" - `response.component.references.issueUrl` (string) Example: "https://www.gnupg.org/related_software/pinentry/87" - `response.component.references.pomUrl` (string) Example: "https://www.gnupg.org/related_software/pinentry/76" - `response.component.references.scmUrl` (string) Example: "https://www.gnupg.org/related_software/pinentry/65" - `response.component.references.genericPackageIndex` (string) Example: "5" - `response.component.references.nugetGallery` (string) - `response.component.references.tags` (string) Example: "Important" - `response.component.references.copyright` (string) Example: "Copyright 2002-2015 g10 Code GmbH" - `response.component.references.hasNotice` (boolean) - `response.component.groupId` (string) Example: "org.springframework.boot" - `response.component.artifactId` (string) Example: "spring-boot" - `response.component.version` (string) Example: "3.0.5" - `response.component.dependencyFile` (string) - `response.component.localPath` (string) - `response.language` (string) Example: "javascript/Node.js" - `response.severity` (string) - `response.criticalNum` (integer) Example: 22 - `response.highNum` (integer) Example: 22 - `response.mediumNum` (integer) Example: 22 - `response.lowNum` (integer) Example: 22 - `response.total` (integer) Example: 22 - `response.suppressedNum` (integer) Example: 22 - `response.detectedAt` (string) - `response.modifiedAt` (string) - `response.publishedAt` (string) - `response.lastCveUpdatedAt` (string) - `response.subRowsIds` (array) Example: ["cev-2020-234"] - `response.project` (object) Project information - `response.project.path` (string) Example: "My Application" - `response.project.applicationName` (string) Example: "My Application" - `response.project.applicationUuid` (string) Example: "123e4567-e89b-12d3-a456-426655440000" - `response.application` (object) - `response.status` (string) Enum: "UNREVIEWED", "IN_REVIEW", "SUPPRESSED", "ISSUE_CREATED", "REMEDIATED" - `response.comment` (string) Example: "no time to fix" - `response.directName` (string) - `response.lastScan` (string) - `response.transitiveDependency` (boolean) Example: true - `response.exploitCodeMaturity` (array) Enum: "UNPROVEN", "POC_CODE", "FUNCTIONAL", "HIGH", "NOT_DEFINED" - `response.exploitable` (boolean) Example: true - `response.numOfReachable` (integer) Example: 22 - `response.numOfPotentiallyReachable` (integer) - `response.numOfUnreachable` (integer) - `response.reachability` (string) Enum: "REACHABLE", "POTENTIALLY_REACHABLE", "UNREACHABLE", "REACHABILITY_UNAVAILABLE" - `response.numOfMalicious` (integer) Example: 22 - `response.malicious` (boolean) Example: true - `response.violations` (integer) Example: 22 - `response.workflowUuids` (array) Example: 2 - `response.violatingFindings` (integer) Example: 2 ## Response 400 fields (*/*): - `supportToken` (string) Example: "1171c60d" ## Response 403 fields (*/*): - `supportToken` (string) Example: "1171c60d"